__gnu_cxx::constant_void_fun< _Result > Struct Template Reference
Extensions » SGI

`#include <functional>`

## Public Types

typedef _Result | result_type

## Public Member Functions

| constant_void_fun (const _Result &__v)
const result_type & | operator() () const

## Public Attributes

result_type | _M_val

## Detailed Description

template<class _Result>
struct __gnu_cxx::constant_void_fun< _Result >

An SGI extension .

Definition at line 295 of file ext/functional.

## Member Typedef Documentation

## result_type

template<class _Result>

typedef _Result __gnu_cxx::_Constant_void_fun< _Result >::result_type

inherited

Definition at line 240 of file ext/functional.

## Constructor & Destructor Documentation

## constant_void_fun()

template<class _Result>

__gnu_cxx::constant_void_fun< _Result >::constant_void_fun | ( | const _Result & | __v | ) |

inline

Definition at line 298 of file ext/functional.

## Member Function Documentation

## operator()()

template<class _Result>

const result_type & __gnu_cxx::_Constant_void_fun< _Result >::operator() | ( |  | ) | const

inline inherited

Definition at line 246 of file ext/functional.

## Member Data Documentation

## _M_val

template<class _Result>

result_type __gnu_cxx::_Constant_void_fun< _Result >::_M_val

inherited

Definition at line 241 of file ext/functional.

The documentation for this struct was generated from the following file:

- ext/functional